Buscar retorno de envio ativo por múltiplas condições

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v2/direct-message/unique

Retorna os registros de envio ativo de acordo com as múltiplas condições informadas. Pode ser utilizado qualquer campo da resposta como filtro.

Operadores disponíveis: EQNUM (igual numérico), EQ (igual texto/número), LIKE (contém), AFTER / BEFORE (datas), IS_NULL, NOT_NULL, entre outros.

Consulte as abas de exemplo ao lado para ver filtros por ID, status, canal, período e número de telefone.

application/json

Body Required

  • conditions array[object]
    Hide conditions attributes Show conditions attributes object
    • key string
    • value string
    • operator string

      Values are EQ, EQNUM, NEQ, NEQNUM, IS_FALSE, IS_TRUE, LIKE, NOT_LIKE, IN, NOT_IN, IS_NULL, NOT_NULL, BEFORE, or AFTER.

    • logic string

      Values are AND or OR.

    • or array[object]
    • and array[object]
    • conditions array[object]
  • sort boolean
  • direction string

    Values are ASC or DESC.

  • sortColumn string

Responses

  • 200 application/json

    Registros encontrados com sucesso

    Hide response attributes Show response attributes object
    • page integer(int32) Required
    • results array[object]
      Hide results attributes Show results attributes object
      • additionalInfo string
      • agentId integer(int64)
      • broadcastListId integer(int64)
      • callback string
      • campaignName string
      • channel string
      • createdAt string(date-time)
      • createdBy string
      • description string
      • dispatchId integer(int64)
      • email string
      • executionId integer(int64)
      • generatedSession boolean
      • groupConfId integer(int64)
      • groupName string
      • hsmTemplate integer(int64)
      • id integer(int64)
      • message string
      • phoneNumber string
      • recipientId string
      • resend boolean
      • sendGroupConfId integer(int64)
      • sendTimestamp string
      • senderUserId integer(int64)
      • sentAt string(date-time)
      • sessionId integer(int64)
      • status string
      • subject string
      • updatedAt string(date-time)
      • user object
        Hide user attributes Show user attributes object
        • accessKey string
        • active boolean
        • agent object
          Hide agent attributes Show agent attributes object
          • agentAllHistory boolean
          • agentAllHistoryOperation boolean
          • agentAttendSimple boolean
          • agentToken string
          • agentViewPhone boolean
          • attendanceServiceChannel string
          • audioOn boolean
          • createdAt string(date-time)
          • createdBy string
          • department string
          • extensionAttendance string
          • id integer(int64)
          • loginAttendance string
          • maxChatChannels integer(int64)
          • passwordAttendance string
          • pauseOnReceiveCall boolean
          • socialToken string
          • status string
          • superAgent boolean
          • updatedAt string(date-time)
          • updatedBy string
          • user object
          • virtualAgent boolean
        • birthDate string(date-time)
        • company object
          Hide company attributes Show company attributes object
          • active boolean
          • address string
          • cep string
          • city string
          • cnpj string
          • companyName string
          • complement string
          • contractSignature integer(int64)
          • country string
          • createdAt string(date-time)
          • createdBy string
          • dateEndPilot string(date-time)
          • defaultLocale string
          • email string
          • groupCompany object
            Hide groupCompany attributes Show groupCompany attributes object
            • active boolean
            • companyName string Required
            • createdAt string(date-time)
            • createdBy string
            • id integer(int64)
            • updatedAt string(date-time)
            • updatedBy string
          • id integer(int64)
          • nameContact string
          • neighborhood string
          • number string
          • phoneContact string
          • sgemnet string
          • site string
          • sku string
          • state string
          • stateRegistration string
          • timeHistory integer(int64)
          • tradeName string
          • updatedAt string(date-time)
          • updatedBy string
        • country string
        • cpf string
        • createdAt string(date-time)
        • createdBy string
        • createdFromSurvey boolean
        • defaultLocale string
        • displayName string
        • email string
        • externalCode string
        • firstAccess boolean
        • firstLogin string(date-time)
        • formal boolean
        • id integer(int64)
        • lastLogin string(date-time)
        • name string
        • operation string
        • originUser string
        • phone string
        • priority integer(int64)
        • profile object
          Hide profile attributes Show profile attributes object
          • createdAt string(date-time)
          • createdBy string
          • id integer(int64)
          • name string
          • typeUser string
          • updatedAt string(date-time)
          • updatedBy string
          • visible boolean
        • ticketUserId integer(int64)
        • tm2 boolean
        • typeUser string
        • updatedAt string(date-time)
        • updatedBy string
        • userName string
        • usingMFA boolean
        • visible boolean
        • password string
      • userId integer(int64)
    • size integer(int32)
  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v2/direct-message/unique
{
  "conditions": [
    {
      "key": "id",
      "value": 1364,
      "operator": "EQNUM"
    }
  ],
  "direction": "ASC",
  "page": 0,
  "sort": false,
  "sortColumn": "id",
  "size": 10
}
{
  "conditions": [
    {
      "key": "status",
      "value": "ENVIADA",
      "operator": "EQ"
    }
  ],
  "direction": "DESC",
  "page": 0,
  "sort": true,
  "sortColumn": "createdAt",
  "size": 20
}
{
  "conditions": [
    {
      "key": "channel",
      "value": "WHATSAPP",
      "operator": "EQ"
    }
  ],
  "direction": "DESC",
  "page": 0,
  "sort": true,
  "sortColumn": "createdAt",
  "size": 10
}
{
  "conditions": [
    {
      "key": "createdAt",
      "value": "2025-06-01T00:00:00.000+00:00",
      "operator": "AFTER"
    },
    {
      "key": "createdAt",
      "value": "2025-06-30T23:59:59.000+00:00",
      "operator": "BEFORE"
    }
  ],
  "direction": "ASC",
  "page": 0,
  "sort": true,
  "sortColumn": "createdAt",
  "size": 50
}
{
  "conditions": [
    {
      "key": "phoneNumber",
      "value": "553432563200",
      "operator": "EQ"
    }
  ],
  "direction": "DESC",
  "page": 0,
  "sort": true,
  "sortColumn": "createdAt",
  "size": 10
}
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v2/direct-message/unique' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"conditions":[{"key":"id","value":1364,"operator":"EQNUM"}],"direction":"ASC","page":0,"sort":false,"sortColumn":"id","size":10}'
Request example
{
  "conditions": [
    {
      "key": "id",
      "value": 1364,
      "operator": "EQNUM"
    }
  ],
  "direction": "ASC",
  "page": 0,
  "sort": false,
  "sortColumn": "id",
  "size": 10
}
Response examples (200)
{
  "page": 0,
  "size": 1,
  "results": [
    {
      "id": 1364,
      "groupName": "Atendentes",
      "channel": "WHATSAPP",
      "message": "Oie! Os vencedores do sorteio foram...",
      "phoneNumber": "5534999362329",
      "email": null,
      "subject": null,
      "status": "ENVIADA",
      "description": null,
      "additionalInfo": "RESOLVIDO",
      "callback": null,
      "createdAt": "2019-11-26T14:50:49.000+00:00",
      "updatedAt": "2019-11-26T14:51:01.000+00:00",
      "broadcastListId": null,
      "createdBy": null,
      "sendTimestamp": "1574779849713",
      "userId": null,
      "senderUserId": null,
      "generatedSession": true,
      "sessionId": 57449,
      "groupConfId": null,
      "hsmTemplate": null,
      "resend": false
    }
  ]
}